﻿@using InternetShopWebProject.Common.Models
@model ProductWithBagInfo

@{var sticker = Model.Key;}
<div class="card border-light" style="max-width:250px" onmouseover="showBuyBtn('@sticker.Id', '@Model.Value', this)" onmouseout="hideBuyBtn('@sticker.Id', '@Model.Value', this)">
  <a href="@Url.Action("Product", "CardInfo", new { id = sticker.Id})">
    <div class="card-header" onclick="">
      <div style="height:200px; display:flex; justify-content:center">
        <img style="object-fit:contain; height:100%; margin:0 auto; max-width:120%" src="~/Content/Image/@sticker.Image" />
      </div>
    </div>
  </a>
  <div class="text-secondary align-middle" style="height:100%; display:flex;
          justify-content:space-between;
          flex-direction:row; padding-left:10px; padding-right:10px;
          padding-bottom:20px; padding-top:20px">
    <h6 style="display:inline-block; vertical-align:middle" class="card-title">@sticker.Price</h6>

    @if (Model.Value)
    {
      @Html.ActionLink("В корзині", "RemoveFromShoppingBag", "ShoppingBag", new { id = sticker.Id, returnUrl = Request.Url }, new { @class = "btn btn-sm btn-outline-success", id = sticker.Id })
    }
    else
    {
      @Html.ActionLink("Купити", "AddToShoppingBag", "ShoppingBag", new { id = sticker.Id, returnUrl = Request.Url }, new { @class = "btn btn-sm btn-outline-secondary", id = sticker.Id, style = "visibility:hidden" })
    }
  </div>
</div>

<script>
  function showBuyBtn(id, isInBag, e) {
    if (isInBag) {
      $('#' + id, e.parentElement).text("Прибрати");

    } else {
      $('#' + id, e.parentElement).css('visibility', 'visible');
    }
  }
  function hideBuyBtn(id, isInBag, e) {
    if (isInBag) {
      $('#' + id, e.parentElement).text("В корзині");

    } else {
      $('#' + id, e.parentElement).css('visibility', 'hidden');
    }
  }
</script>
